Skip to main content
`Ctrl`+`K`

# EPSStoppingBasic

Default routine to determine whether the outer eigensolver iteration must be stopped.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSStoppingBasic(EPS eps,PetscInt its,PetscInt max_it,PetscInt nconv,PetscInt nev,EPSConvergedReason *reason,void *ctx)

Collective

## Input Parameters

- eps - the linear eigensolver context

- its - current number of iterations

- max_it - maximum number of iterations

- nconv - number of currently converged eigenpairs

- nev - number of requested eigenpairs

- ctx - context (not used here)

## Output Parameter

- reason - result of the stopping test

## Notes

`EPSStoppingBasic()` will stop if all requested eigenvalues are converged, or if the maximum number of iterations has been reached.

This is the default stopping test. Use `EPSSetStoppingTest()` to provide your own test instead of using this one.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetStoppingTest()`, `EPSStoppingThreshold()`, `EPSConvergedReason`, `EPSGetConvergedReason()`

## Level

advanced

## Location

src/eps/interface/epsdefault.c

## Examples

src/eps/tutorials/ex29.c
src/eps/tutorials/ex30.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages